### File

`packages/eui/packages/components-next/src/lib/layout/eui-page/components/eui-page-header/eui-page-header.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-page-header`
templateUrl | `./eui-page-header.component.html`

### Index

###### Properties
customPageHeaderActionItemsContent customPageHeaderBodyContent
###### Methods
Public onToggle
###### Inputs
collapsedLabel expandedLabel isCollapsed isCollapsible label subLabel
###### Outputs
collapse
###### HostBindings
class

### Constructor

`constructor()`

### Inputs

collapsedLabel
Default value : `''`

expandedLabel
Default value : `''`

isCollapsed
Default value : `false`

isCollapsible
Default value : `false`

label

subLabel

### Outputs

collapse
Type : `EventEmitter`

### HostBindings

class

### Methods

Public onToggle
`onToggle(collapseState: boolean)`
Parameters :
Name | Type | Optional
collapseState | `boolean` | No
Returns : `void`

### Properties

customPageHeaderActionItemsContent
Type : `QueryList<EuiPageHeaderActionItemsContentDirective>`
Decorators : `@ContentChild(undefined)`

customPageHeaderBodyContent
Type : `QueryList<EuiPageBodyContentDirective>`
Decorators : `@ContentChild(undefined)`

# result-matching ""

# No results matching ""